Epiphany 1.6.4
Posted on: 07/04/2005 05:23 PM

Epiphany is the GNOME web browser, based on the mozilla gecko rendering engine. It aims to be simple and easy to use.


Epiphany 1.6.4 is the latest release in the stable series for GNOME 2.10.

* What's changed ?

Epiphany 1.6.4


* Fix for mozilla API change on trunk
* Fix filepicker configure check
* Fix crash in toolbar editor with X composite extension [#159767]
* Don't use chrome URLs in the session [#301044]
* Update list of mime types
* Automatically detect whether we have a mozilla debug build
* Adapt to new DBUS API [#301153]
* Allow View Source for XML documents [#305788]
* Fix getting the trust setting from New CA dialogue
* Work around mozilla bug https://bugzilla.mozilla.org/show_bug.cgi?id=296002 by
disallowing tabs moves to a different window [#303922]
* Fix more signed/unsigned problems with gcc 4 [#306169]
* Fix context menu on image maps [#152482]
* Fix crash on exit with only downloader open [#151037]
* Preserve session when shutting down while resuming the session
* Fix a refcount leak in the persist object
* Comply with gtk-button-images setting [#307818]

Contributors to this release: Colin Gibbs, Martin Kretzschmar,
Thom May, Christian Persch, Jean-François Rameau, and Raphaël Slinckx.

Updated translations:

* Vladimir Petkov (bg)
* Ignacio Casal Quinteiro (gl)
* Afonso Celso Medina (pt_BR)
* Christian Rose (sv)
* Ching-Hung Lin (zh_TW)

* Where can I get it ?

Source code:
de2e38752ff5ae557817090cf5e11ca4d2e5c685 /home/chpe/source/Releases/epiphany-1.6.4.tar.bz2

Epiphany 1.6.3 requires mozilla 1.7.x, 1.7 branch, 1.8b3 or trunk, or
firefox 1.0.x or 1.1a1 or trunk.
The recommended version is Mozilla 1.7.8:

More about dependencies and installation tips:

Also see our list of patches you should apply to mozilla source:

Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/epiphany_164.html)